curl "https://xenarch.dev/v1/services?limit=20&offset=0"
{
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"price_per_request": "<string>",
"category": "<string>",
"pay_json_url": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Services
List Services
List all active x402 services on Xenarch — a discovery endpoint for AI agents looking for paid APIs, data feeds, and content services.
GET
/
v1
/
services
curl "https://xenarch.dev/v1/services?limit=20&offset=0"
{
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"price_per_request": "<string>",
"category": "<string>",
"pay_json_url": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}curl "https://xenarch.dev/v1/services?limit=20&offset=0"
Notes
- Public endpoint — no authentication required
- Returns only active services (
is_active = true) - Paginated with
limitandoffsetquery parameters